{% extends 'base.html.twig' %}
{% block title %}Liste des Groupes{% endblock %}

{% block body %}




    <div class="page-header">

        <h1>
            STAGES
            <small>
                <i class="ace-icon fa fa-angle-double-right"></i>
                LISTE DES STAGES
            </small>
        </h1>  
        <div align="right" style="margin-right: 15px">

            <a href="{{ path('sgroupstage_new') }}" class="btn btn-white btn-info btn-bold">
                <i class="ace-icon fa fa-pencil bigger-120"></i>
                Nouveau Stage
            </a>
            <a  class="btn btn-white btn-info btn-bold obj">
                <i class="ace-icon glyphicon glyphicon-plus bigger-120"></i>
                Affecter
            </a>
            <a  class="btn btn-white btn-info btn-bold dup">
                <i class="ace-icon glyphicon glyphicon-book bigger-120"></i>
                Dupliquer
            </a>

        </div>
    </div>
    <div class="alert alert-block alert-success message_flash_success" style="display: none;">

    </div>
    <div class="alert alert-block alert-danger message_flash_error" style="display: none;">

    </div>
    <div class="alert alert-block alert-info message_flash_info" style="display: none;">

    </div>
    {% for flash_message in app.session.flashBag.get('notice') %}
        <div class="alert alert-block alert-success message_flash">
            <button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>   {% autoescape %}
                {{ flash_message }} {# var won't be escaped #}
                <br/>

                {% endautoescape %}</p>
            </div>
            {% endfor %}
                {% for flash_message in app.session.flashBag.get('error') %}
                    <div class="alert alert-block alert-danger message_flash">
                        <button type='button' class='close'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>{{ flash_message }}</p>
                    </div>
                {% endfor %}



                <div class="row">
                    <div class="col-xs-12">

                        <table id="grid" class="display  table  table-bordered table-hover" cellspacing="0" width="100%">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Designation</th>
                                    <th>Formation</th>
                                    <th>Promotion</th>
                                    <th>Date début</th>
                                    <th>Date Fin</th>
                                    <th>Active</th>




                                    <th class="param-table-txt">Modifier</th>
                                    <th class="param-table-txt">Consulter</th>
                                    <th class="param-table-txt">Supprimer</th>



                                </tr>
                            </thead>
                        </table>

                        <div class="group_stage"></div>
                    </div>

                </div>
                {{ include ('s_stages/message.html.twig')}}




















                {% endblock %}
                    {% block javascripts %}
                        {{ parent() }}

                        <script>


                            document.addEventListener("DOMContentLoaded", function (event) {
                                $('#grid').show(500);
                            });


                            var dataTable = $('#grid').DataTable({
                                "iDisplayLength": 10,
                                "lengthMenu": [[10, 15, 25, 50, 100, 200, 20000000], [10, 15, 25, 50, 100, 200, "All"]],
                                "order": [[0, "desc"]],
                                "columnDefs": [
                                    {"orderable": false, "targets": 1}
                                ],
                                "language": {
                                    "url": "{{asset('assets/js/jquery.dataTablesFrench.json') }}",
                                    "processing": true
                                },
                                "serverSide": false,
                                "ajax": {
                                    url: Routing.generate('sgroup_list'), // json datasource
                                    type: "get"

                                }
                            });






                            $('#grid').on('click', '.delete_action', function (event) {
                                //     $('.delete_action').click(function (event) {
                                var id = $(this).attr('rel');
                                //alert(id);
                                bootbox.confirm({
                                    title: "Confirmation",
                                    message: "<h5>Souhaitez-vous supprimer cet enregistrement? </h5>",
                                    buttons: {
                                        cancel: {
                                            label: '<i class="fa fa-times"></i> Annuler'
                                        },
                                        confirm: {
                                            label: '<i class="fa fa-check"></i> Oui'
                                        }
                                    },
                                    callback: function (confirmation) {
                                        if (confirmation == true) {
                                            $(".message_flash_success").hide();
                                            $(".message_flash_error").hide();
                                            $(".message_flash_info").show().html("<p> <i class='ace-icon fa fa-spinner fa-spin blue bigger-125'></i> veuillez patienter traitement en cours...</p>");
                                            $.ajax({
                                                url: Routing.generate('sgroupstage_delete', {id: id}),
                                                success: function (result) {
                                                    var parsed = jQuery.parseJSON(result);

                                                    if (parsed.e == '2') {
                                                        $(".message_flash_info").hide();
                                                        $(".message_flash_error").hide();
                                                        $(".message_flash_success").show().html("<button type='button' class='close' data-dismiss='alert'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>" + parsed.data + "</p>");
                                                        dataTable.ajax.reload();
                                                    } else {
                                                        $(".message_flash_success").hide();
                                                        $(".message_flash_info").hide();
                                                        $(".message_flash_error").show().html("<button type='button' class='close' data-dismiss='alert'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>" + parsed.data + "</p>");
                                                        dataTable.ajax.reload();
                                                    }
                                                }


                                            });


                                        }
                                    }
                                });


                                event.preventDefault();
                            });
                            $('#grid').on('click', '.disable_action', function (event) {

                                //  $('.active_service').click(function (event) {
                                //  alert($(this).attr('rel'));


                                var id = $(this).attr('rel');
                                var etat = $(this).attr('href');
                                var text = "";
                                if (etat == 1) {
                                    text = "Désactiver";

                                } else {
                                    etat = 0;
                                    text = "Activer";

                                }

                                bootbox.confirm({
                                    title: "Confirmation",
                                    message: "<h5>Souhaitez-vous " + text + " ce Stage?</h5>",
                                    buttons: {
                                        cancel: {
                                            label: '<i class="fa fa-times"></i> Annuler'
                                        },
                                        confirm: {
                                            label: '<i class="fa fa-check"></i> Oui'
                                        }
                                    },
                                    callback: function (confirmation) {

                                        if (confirmation == true) {
                                            $(".message_flash_success").hide();
                                            $(".message_flash_error").hide();
                                            $(".message_flash_info").show().html("<p> <i class='ace-icon fa fa-spinner fa-spin blue bigger-125'></i> veuillez patienter traitement en cours...</p>");
                                            $.ajax({
                                                url: Routing.generate('group_disable', {id: id, etat: etat}),
                                                success: function (result) {
                                                    var parsed = jQuery.parseJSON(result);
                                                    $(".message_flash_info").hide();
                                                    $(".message_flash_error").hide();
                                                    $(".message_flash_success").show();
                                                    $(".message_flash_success").show().html("<button type='button' class='close' data-dismiss='alert'><i class='ace-icon fa fa-times'></i></button><p><i class='ace-icon fa fa-check'></i>" + parsed.data + "</p>");
                                                    dataTable.ajax.reload();

                                                }


                                            });


                                        }
                                    }
                                });


                                event.preventDefault();
                            });

                            /**********Select row from my-grid **********/
                            $('#grid').on('click', 'tbody tr', function (event) {
                                $("#grid tbody tr").each(function () {
                                    $(this).removeClass('active active-row');
                                });
                                $(this).addClass('active active-row');
                                //event.preventDefault();
                            });


                            $('.obj').click(function () {
                                var cd = $('.active-row').attr("id");
                                //alert(cd);
                                if (cd) {
                                    window.location = "afecter/" + cd;

                                } else {
                                    $('#MessageModel').modal('show');
                                }

                            });
                            $('.dup').click(function () {
                                var cd = $('.active-row').attr("id");

                                if (cd) {
                                    //alert(cd);
                                    $.ajax({
                                        type: 'GET',
                                        url: Routing.generate('stage_dup', {id: cd}),

                                        processData: false,
                                        contentType: false,
                                        success: function (result) {
                                            $('.group_stage').html(result);
                                            $('#model-dup').modal('show');
                                        }
                                    });

                                } else {
                                    $('#MessageModel').modal('show');
                                }


                            });

                        </script>

                    {% endblock %}